Package org.apache.commons.imaging.formats.tiff.constants

# Class ExifTagConstants

java.lang.Object
org.apache.commons.imaging.formats.tiff.constants.ExifTagConstants

public final class ExifTagConstants extends Object
References:

- https://exiftool.org/TagNames/EXIF.html
- [BROKEN URL] http://tiki-lounge.com/~raf/tiff/fields.html
- https://www.awaresystems.be/imaging/tiff/tifftags.html
- "Stonits": http://www.anyhere.com/gward/pixformat/tiffluv.html

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<TagInfo>`
  `ALL_EXIF_TAGS`
  `static final int`
  `CONTRAST_1_VALUE_HIGH`
  `static final int`
  `CONTRAST_1_VALUE_LOW`
  `static final int`
  `CONTRAST_1_VALUE_NORMAL`
  `static final int`
  `CUSTOM_RENDERED_VALUE_CUSTOM`
  `static final int`
  `CUSTOM_RENDERED_VALUE_NORMAL`
  `static final TagInfoLong`
  `EXIF_TAG_AFCP_IPTC`
  `static final TagInfoUnknowns`
  `EXIF_TAG_ANNOTATIONS`
  `static final TagInfoRational`
  `EXIF_TAG_APERTURE_VALUE`
  `static final TagInfoBytes`
  `EXIF_TAG_APPLICATION_NOTES`
  `static final TagInfoByte`
  `EXIF_TAG_BACKGROUND_COLOR_INDICATOR`
  `static final TagInfoBytes`
  `EXIF_TAG_BACKGROUND_COLOR_VALUE`
  `static final TagInfoShort`
  `EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH`
  `static final TagInfoShort`
  `EXIF_TAG_BITS_PER_RUN_LENGTH`
  `static final TagInfoAscii`
  `EXIF_TAG_BODY_SERIAL_NUMBER`
  `static final TagInfoAscii`
  `EXIF_TAG_BRIGHTNESS`
  `static final TagInfoSRational`
  `EXIF_TAG_BRIGHTNESS_VALUE`
  `static final TagInfoAscii`
  `EXIF_TAG_CAMERA_OWNER_NAME`
  `static final TagInfoUndefineds`
  `EXIF_TAG_CFAPATTERN`
  `static final TagInfoAscii`
  `EXIF_TAG_COLOR_CHARACTERIZATION`
  `static final TagInfoAscii`
  `EXIF_TAG_COLOR_SEQUENCE`
  `static final TagInfoBytes`
  `EXIF_TAG_COLOR_TABLE`
  `static final TagInfoUndefineds`
  `EXIF_TAG_COMPONENTS_CONFIGURATION`
  `static final TagInfoRational`
  `EXIF_TAG_COMPRESSED_BITS_PER_PIXEL`
  `static final TagInfoShort`
  `EXIF_TAG_CONTRAST_1`
  `static final TagInfoAscii`
  `EXIF_TAG_CONTRAST_2`
  `static final TagInfoAscii`
  `EXIF_TAG_CONVERTER`
  `static final TagInfoShort`
  `EXIF_TAG_CUSTOM_RENDERED`
  `static final TagInfoUnknowns`
  `EXIF_TAG_DATA_TYPE`
  `static final TagInfoAscii`
  `EXIF_TAG_DATE_TIME_DIGITIZED`
  `static final TagInfoAscii`
  `EXIF_TAG_DATE_TIME_ORIGINAL`
  `static final TagInfoUndefineds`
  `EXIF_TAG_DEVICE_SETTING_DESCRIPTION`
  `static final TagInfoRational`
  `EXIF_TAG_DIGITAL_ZOOM_RATIO`
  `static final TagInfoShort`
  `EXIF_TAG_EXIF_IMAGE_LENGTH`
  `static final TagInfoShort`
  `EXIF_TAG_EXIF_IMAGE_WIDTH`
  `static final TagInfoDirectory`
  `EXIF_TAG_EXIF_OFFSET`
  `static final TagInfoUndefineds`
  `EXIF_TAG_EXIF_VERSION`
  `static final TagInfoAscii`
  `EXIF_TAG_EXPOSURE`
  `static final TagInfoSRational`
  `EXIF_TAG_EXPOSURE_COMPENSATION`
  `static final TagInfoRational`
  `EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD`
  `static final TagInfoShort`
  `EXIF_TAG_EXPOSURE_MODE`
  `static final TagInfoShort`
  `EXIF_TAG_EXPOSURE_PROGRAM`
  `static final TagInfoRationals`
  `EXIF_TAG_EXPOSURE_TIME`
  `static final TagInfoUndefined`
  `EXIF_TAG_FILE_SOURCE`
  `static final TagInfoShort`
  `EXIF_TAG_FLASH`
  `static final TagInfoRationals`
  `EXIF_TAG_FLASH_ENERGY_EXIF_IFD`
  `static final TagInfoUndefineds`
  `EXIF_TAG_FLASHPIX_VERSION`
  `static final TagInfoRationals`
  `EXIF_TAG_FNUMBER`
  `static final TagInfoRationals`
  `EXIF_TAG_FOCAL_LENGTH`
  `static final TagInfoShort`
  `EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT`
  `static final TagInfoShort`
  `EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD`
  `static final TagInfoRational`
  `EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD`
  `static final TagInfoRational`
  `EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD`
  `static final TagInfoShort`
  `EXIF_TAG_GAIN_CONTROL`
  `static final TagInfoRational`
  `EXIF_TAG_GAMMA`
  `static final TagInfoDirectory`
  `EXIF_TAG_GPSINFO`
  `static final TagInfoShortOrLong`
  `EXIF_TAG_HCUSAGE`
  `static final TagInfoByte`
  `EXIF_TAG_IMAGE_COLOR_INDICATOR`
  `static final TagInfoBytes`
  `EXIF_TAG_IMAGE_COLOR_VALUE`
  `static final TagInfoUnknowns`
  `EXIF_TAG_IMAGE_DEPTH`
  `static final TagInfoUnknowns`
  `EXIF_TAG_IMAGE_HISTORY`
  `static final TagInfoUnknowns`
  `EXIF_TAG_IMAGE_NUMBER`
  `static final TagInfoAscii`
  `EXIF_TAG_IMAGE_UNIQUE_ID`
  `static final TagInfoLongs`
  `EXIF_TAG_INTERGRAPH_FLAG_REGISTERS`
  `static final TagInfoShorts`
  `EXIF_TAG_INTERGRAPH_PACKET_DATA`
  `static final TagInfoDirectory`
  `EXIF_TAG_INTEROP_OFFSET`
  `static final TagInfoAscii`
  `EXIF_TAG_INTEROPERABILITY_INDEX`
  `static final TagInfoUndefined`
  `EXIF_TAG_INTEROPERABILITY_VERSION`
  `static final TagInfoLong`
  `EXIF_TAG_IPTC_NAA`
  `static final TagInfoShorts`
  `EXIF_TAG_ISO`
  `static final TagInfoAscii`
  `EXIF_TAG_IT8HEADER`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_START_IFD2`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD`
  `static final TagInfoLong`
  `EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2`
  `static final TagInfoLong`
  `EXIF_TAG_LEAF_DATA`
  `static final TagInfoLong`
  `EXIF_TAG_LEAF_SUB_IFD`
  `static final TagInfoAscii`
  `EXIF_TAG_LENS`
  `static final TagInfoAscii`
  `EXIF_TAG_LENS_MAKE`
  `static final TagInfoAscii`
  `EXIF_TAG_LENS_MODEL`
  `static final TagInfoAscii`
  `EXIF_TAG_LENS_SERIAL_NUMBER`
  `static final TagInfoRationals`
  `EXIF_TAG_LENS_SPECIFICATION`
  `static final TagInfoShort`
  `EXIF_TAG_LIGHT_SOURCE`
  `static final TagInfoUndefineds`
  `EXIF_TAG_MAKER_NOTE`
  `static final TagInfoUnknowns`
  `EXIF_TAG_MATTEING`
  `static final TagInfoRational`
  `EXIF_TAG_MAX_APERTURE_VALUE`
  `static final TagInfoShort`
  `EXIF_TAG_METERING_MODE`
  `static final TagInfoUnknowns`
  `EXIF_TAG_MODEL_2`
  `static final TagInfoAscii`
  `EXIF_TAG_MOIRE_FILTER`
  `static final TagInfoUnknowns`
  `EXIF_TAG_NOISE_2`
  `static final TagInfoSLong`
  `EXIF_TAG_OFFSET_SCHEMA`
  `static final TagInfoUndefineds`
  `EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR`
  `static final TagInfoLong`
  `EXIF_TAG_OTHER_IMAGE_LENGTH`
  `static final TagInfoLong`
  `EXIF_TAG_OTHER_IMAGE_START`
  `static final TagInfoAscii`
  `EXIF_TAG_OWNER_NAME`
  `static final TagInfoBytes`
  `EXIF_TAG_PHOTOSHOP_SETTINGS`
  `static final TagInfoBytes`
  `EXIF_TAG_PIXEL_INTENSITY_RANGE`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_START_IFD0`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES`
  `static final TagInfoLong`
  `EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1`
  `static final TagInfoUndefined`
  `EXIF_TAG_PRINT_IM`
  `static final TagInfoAscii`
  `EXIF_TAG_PROCESSING_SOFTWARE`
  `static final TagInfoShort`
  `EXIF_TAG_RASTER_PADDING`
  `static final TagInfoAscii`
  `EXIF_TAG_RAW_FILE`
  `static final TagInfoAscii`
  `EXIF_TAG_RELATED_SOUND_FILE`
  `static final TagInfoShort`
  `EXIF_TAG_SATURATION_1`
  `static final TagInfoAscii`
  `EXIF_TAG_SATURATION_2`
  `static final TagInfoShort`
  `EXIF_TAG_SCENE_CAPTURE_TYPE`
  `static final TagInfoUndefined`
  `EXIF_TAG_SCENE_TYPE`
  `static final TagInfoUnknowns`
  `EXIF_TAG_SECURITY_CLASSIFICATION`
  `static final TagInfoAscii`
  `EXIF_TAG_SEMINFO`
  `static final TagInfoShort`
  `EXIF_TAG_SENSING_METHOD_EXIF_IFD`
  `static final TagInfoAscii`
  `EXIF_TAG_SERIAL_NUMBER`
  `static final TagInfoAscii`
  `EXIF_TAG_SHADOWS`
  `static final TagInfoShort`
  `EXIF_TAG_SHARPNESS_1`
  `static final TagInfoAscii`
  `EXIF_TAG_SHARPNESS_2`
  `static final TagInfoSRational`
  `EXIF_TAG_SHUTTER_SPEED_VALUE`
  `static final TagInfoAscii`
  `EXIF_TAG_SITE`
  `static final TagInfoAscii`
  `EXIF_TAG_SMOOTHNESS`
  `static final TagInfoAscii`
  `EXIF_TAG_SOFTWARE`
  `static final TagInfoUndefineds`
  `EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2`
  `static final TagInfoAscii`
  `EXIF_TAG_SPECTRAL_SENSITIVITY`
  `static final TagInfoDouble`
  `EXIF_TAG_STO_NITS`
  `static final TagInfoAscii`
  `EXIF_TAG_SUB_SEC_TIME`
  `static final TagInfoAscii`
  `EXIF_TAG_SUB_SEC_TIME_DIGITIZED`
  `static final TagInfoAscii`
  `EXIF_TAG_SUB_SEC_TIME_ORIGINAL`
  `static final TagInfoShorts`
  `EXIF_TAG_SUBJECT_AREA`
  `static final TagInfoRationals`
  `EXIF_TAG_SUBJECT_DISTANCE`
  `static final TagInfoShort`
  `EXIF_TAG_SUBJECT_DISTANCE_RANGE`
  `static final TagInfoShorts`
  `EXIF_TAG_SUBJECT_LOCATION`
  `static final TagInfoUnknowns`
  `EXIF_TAG_TIFF_EPSTANDARD_ID_2`
  `static final TagInfoUnknowns`
  `EXIF_TAG_TILE_DEPTH`
  `static final TagInfoByte`
  `EXIF_TAG_TRANSPARENCY_INDICATOR`
  `static final TagInfoGpsText`
  `EXIF_TAG_USER_COMMENT`
  `static final TagInfoShort`
  `EXIF_TAG_WHITE_BALANCE_1`
  `static final TagInfoAscii`
  `EXIF_TAG_WHITE_BALANCE_2`
  `static final int`
  `EXPOSURE_MODE_VALUE_AUTO`
  `static final int`
  `EXPOSURE_MODE_VALUE_AUTO_BRACKET`
  `static final int`
  `EXPOSURE_MODE_VALUE_MANUAL`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_LANDSCAPE`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_MANUAL`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_PORTRAIT`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_PROGRAM_AE`
  `static final int`
  `EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE`
  `static final int`
  `FILE_SOURCE_VALUE_DIGITAL_CAMERA`
  `static final int`
  `FILE_SOURCE_VALUE_FILM_SCANNER`
  `static final int`
  `FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER`
  `static final int`
  `FLASH_VALUE_AUTO_DID_NOT_FIRE`
  `static final int`
  `FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_FIRED`
  `static final int`
  `FLASH_VALUE_FIRED_RED_EYE_REDUCTION`
  `static final int`
  `FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_FIRED_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_FIRED_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_NO_FLASH`
  `static final int`
  `FLASH_VALUE_NO_FLASH_FUNCTION`
  `static final int`
  `FLASH_VALUE_OFF`
  `static final int`
  `FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_OFF_NO_FLASH_FUNCTION`
  `static final int`
  `FLASH_VALUE_OFF_RED_EYE_REDUCTION`
  `static final int`
  `FLASH_VALUE_ON`
  `static final int`
  `FLASH_VALUE_ON_DID_NOT_FIRE`
  `static final int`
  `FLASH_VALUE_ON_RED_EYE_REDUCTION`
  `static final int`
  `FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED`
  `static final int`
  `FLASH_VALUE_ON_RETURN_DETECTED`
  `static final int`
  `FLASH_VALUE_ON_RETURN_NOT_DETECTED`
  `static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM`
  `static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES`
  `static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM`
  `static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE`
  `static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM`
  `static final int`
  `GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN`
  `static final int`
  `GAIN_CONTROL_VALUE_HIGH_GAIN_UP`
  `static final int`
  `GAIN_CONTROL_VALUE_LOW_GAIN_DOWN`
  `static final int`
  `GAIN_CONTROL_VALUE_LOW_GAIN_UP`
  `static final int`
  `GAIN_CONTROL_VALUE_NONE`
  `static final int`
  `LIGHT_SOURCE_VALUE_CLOUDY`
  `static final int`
  `LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT`
  `static final int`
  `LIGHT_SOURCE_VALUE_D50`
  `static final int`
  `LIGHT_SOURCE_VALUE_D55`
  `static final int`
  `LIGHT_SOURCE_VALUE_D65`
  `static final int`
  `LIGHT_SOURCE_VALUE_D75`
  `static final int`
  `LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT`
  `static final int`
  `LIGHT_SOURCE_VALUE_DAYLIGHT`
  `static final int`
  `LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT`
  `static final int`
  `LIGHT_SOURCE_VALUE_FINE_WEATHER`
  `static final int`
  `LIGHT_SOURCE_VALUE_FLASH`
  `static final int`
  `LIGHT_SOURCE_VALUE_FLUORESCENT`
  `static final int`
  `LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN`
  `static final int`
  `LIGHT_SOURCE_VALUE_OTHER`
  `static final int`
  `LIGHT_SOURCE_VALUE_SHADE`
  `static final int`
  `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A`
  `static final int`
  `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B`
  `static final int`
  `LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C`
  `static final int`
  `LIGHT_SOURCE_VALUE_TUNGSTEN`
  `static final int`
  `LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT`
  `static final int`
  `METERING_MODE_VALUE_AVERAGE`
  `static final int`
  `METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE`
  `static final int`
  `METERING_MODE_VALUE_MULTI_SEGMENT`
  `static final int`
  `METERING_MODE_VALUE_MULTI_SPOT`
  `static final int`
  `METERING_MODE_VALUE_OTHER`
  `static final int`
  `METERING_MODE_VALUE_PARTIAL`
  `static final int`
  `METERING_MODE_VALUE_SPOT`
  `static final int`
  `SATURATION_1_VALUE_HIGH`
  `static final int`
  `SATURATION_1_VALUE_LOW`
  `static final int`
  `SATURATION_1_VALUE_NORMAL`
  `static final int`
  `SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE`
  `static final int`
  `SCENE_CAPTURE_TYPE_VALUE_NIGHT`
  `static final int`
  `SCENE_CAPTURE_TYPE_VALUE_PORTRAIT`
  `static final int`
  `SCENE_CAPTURE_TYPE_VALUE_STANDARD`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR`
  `static final int`
  `SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA`
  `static final int`
  `SHARPNESS_1_VALUE_HARD`
  `static final int`
  `SHARPNESS_1_VALUE_NORMAL`
  `static final int`
  `SHARPNESS_1_VALUE_SOFT`
  `static final int`
  `SUBJECT_DISTANCE_RANGE_VALUE_CLOSE`
  `static final int`
  `SUBJECT_DISTANCE_RANGE_VALUE_DISTANT`
  `static final int`
  `SUBJECT_DISTANCE_RANGE_VALUE_MACRO`
  `static final int`
  `WHITE_BALANCE_1_VALUE_AUTO`
  `static final int`
  `WHITE_BALANCE_1_VALUE_MANUAL`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXIF_TAG_INTEROPERABILITY_INDEX

    public static final TagInfoAscii EXIF_TAG_INTEROPERABILITY_INDEX

  - ### EXIF_TAG_INTEROPERABILITY_VERSION

    public static final TagInfoUndefined EXIF_TAG_INTEROPERABILITY_VERSION

  - ### EXIF_TAG_PROCESSING_SOFTWARE

    public static final TagInfoAscii EXIF_TAG_PROCESSING_SOFTWARE

  - ### EXIF_TAG_SOFTWARE

    public static final TagInfoAscii EXIF_TAG_SOFTWARE

  - ### EXIF_TAG_PREVIEW_IMAGE_START_IFD0

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_IFD0

  - ### EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_SUB_IFD1

  - ### EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD2

  - ### EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_IFD0

  - ### EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_SUB_IFD1

  - ### EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD2

  - ### EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_START_MAKER_NOTES

  - ### EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_SUB_IFD

  - ### EXIF_TAG_JPG_FROM_RAW_START_IFD2

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_START_IFD2

  - ### EXIF_TAG_OTHER_IMAGE_START

    public static final TagInfoLong EXIF_TAG_OTHER_IMAGE_START

  - ### EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES

    public static final TagInfoLong EXIF_TAG_PREVIEW_IMAGE_LENGTH_MAKER_NOTES

  - ### EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_SUB_IFD

  - ### EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2

    public static final TagInfoLong EXIF_TAG_JPG_FROM_RAW_LENGTH_IFD2

  - ### EXIF_TAG_OTHER_IMAGE_LENGTH

    public static final TagInfoLong EXIF_TAG_OTHER_IMAGE_LENGTH

  - ### EXIF_TAG_APPLICATION_NOTES

    public static final TagInfoBytes EXIF_TAG_APPLICATION_NOTES

  - ### EXIF_TAG_MATTEING

    public static final TagInfoUnknowns EXIF_TAG_MATTEING

  - ### EXIF_TAG_DATA_TYPE

    public static final TagInfoUnknowns EXIF_TAG_DATA_TYPE

  - ### EXIF_TAG_IMAGE_DEPTH

    public static final TagInfoUnknowns EXIF_TAG_IMAGE_DEPTH

  - ### EXIF_TAG_TILE_DEPTH

    public static final TagInfoUnknowns EXIF_TAG_TILE_DEPTH

  - ### EXIF_TAG_MODEL_2

    public static final TagInfoUnknowns EXIF_TAG_MODEL_2

  - ### EXIF_TAG_EXPOSURE_TIME

    public static final TagInfoRationals EXIF_TAG_EXPOSURE_TIME

  - ### EXIF_TAG_FNUMBER

    public static final TagInfoRationals EXIF_TAG_FNUMBER

  - ### EXIF_TAG_IPTC_NAA

    public static final TagInfoLong EXIF_TAG_IPTC_NAA

  - ### EXIF_TAG_INTERGRAPH_PACKET_DATA

    public static final TagInfoShorts EXIF_TAG_INTERGRAPH_PACKET_DATA

  - ### EXIF_TAG_INTERGRAPH_FLAG_REGISTERS

    public static final TagInfoLongs EXIF_TAG_INTERGRAPH_FLAG_REGISTERS

  - ### EXIF_TAG_SITE

    public static final TagInfoAscii EXIF_TAG_SITE

  - ### EXIF_TAG_COLOR_SEQUENCE

    public static final TagInfoAscii EXIF_TAG_COLOR_SEQUENCE

  - ### EXIF_TAG_IT8HEADER

    public static final TagInfoAscii EXIF_TAG_IT8HEADER

  - ### EXIF_TAG_RASTER_PADDING

    public static final TagInfoShort EXIF_TAG_RASTER_PADDING

  - ### EXIF_TAG_BITS_PER_RUN_LENGTH

    public static final TagInfoShort EXIF_TAG_BITS_PER_RUN_LENGTH

  - ### EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH

    public static final TagInfoShort EXIF_TAG_BITS_PER_EXTENDED_RUN_LENGTH

  - ### EXIF_TAG_COLOR_TABLE

    public static final TagInfoBytes EXIF_TAG_COLOR_TABLE

  - ### EXIF_TAG_IMAGE_COLOR_INDICATOR

    public static final TagInfoByte EXIF_TAG_IMAGE_COLOR_INDICATOR

  - ### EXIF_TAG_BACKGROUND_COLOR_INDICATOR

    public static final TagInfoByte EXIF_TAG_BACKGROUND_COLOR_INDICATOR

  - ### EXIF_TAG_IMAGE_COLOR_VALUE

    public static final TagInfoBytes EXIF_TAG_IMAGE_COLOR_VALUE

  - ### EXIF_TAG_BACKGROUND_COLOR_VALUE

    public static final TagInfoBytes EXIF_TAG_BACKGROUND_COLOR_VALUE

  - ### EXIF_TAG_PIXEL_INTENSITY_RANGE

    public static final TagInfoBytes EXIF_TAG_PIXEL_INTENSITY_RANGE

  - ### EXIF_TAG_TRANSPARENCY_INDICATOR

    public static final TagInfoByte EXIF_TAG_TRANSPARENCY_INDICATOR

  - ### EXIF_TAG_COLOR_CHARACTERIZATION

    public static final TagInfoAscii EXIF_TAG_COLOR_CHARACTERIZATION

  - ### EXIF_TAG_HCUSAGE

    public static final TagInfoShortOrLong EXIF_TAG_HCUSAGE

  - ### EXIF_TAG_SEMINFO

    public static final TagInfoAscii EXIF_TAG_SEMINFO

  - ### EXIF_TAG_AFCP_IPTC

    public static final TagInfoLong EXIF_TAG_AFCP_IPTC

  - ### EXIF_TAG_LEAF_DATA

    public static final TagInfoLong EXIF_TAG_LEAF_DATA

  - ### EXIF_TAG_PHOTOSHOP_SETTINGS

    public static final TagInfoBytes EXIF_TAG_PHOTOSHOP_SETTINGS

  - ### EXIF_TAG_EXIF_OFFSET

    public static final TagInfoDirectory EXIF_TAG_EXIF_OFFSET

  - ### EXIF_TAG_EXPOSURE_PROGRAM

    public static final TagInfoShort EXIF_TAG_EXPOSURE_PROGRAM

  - ### EXPOSURE_PROGRAM_VALUE_MANUAL

    public static final int EXPOSURE_PROGRAM_VALUE_MANUAL
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_PROGRAM_AE

    public static final int EXPOSURE_PROGRAM_VALUE_PROGRAM_AE
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE

    public static final int EXPOSURE_PROGRAM_VALUE_APERTURE_PRIORITY_AE
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE

    public static final int EXPOSURE_PROGRAM_VALUE_SHUTTER_SPEED_PRIORITY_AE
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED

    public static final int EXPOSURE_PROGRAM_VALUE_CREATIVE_SLOW_SPEED
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED

    public static final int EXPOSURE_PROGRAM_VALUE_ACTION_HIGH_SPEED
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_PORTRAIT

    public static final int EXPOSURE_PROGRAM_VALUE_PORTRAIT
    See Also:
      - Constant Field Values

  - ### EXPOSURE_PROGRAM_VALUE_LANDSCAPE

    public static final int EXPOSURE_PROGRAM_VALUE_LANDSCAPE
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_SPECTRAL_SENSITIVITY

    public static final TagInfoAscii EXIF_TAG_SPECTRAL_SENSITIVITY

  - ### EXIF_TAG_GPSINFO

    public static final TagInfoDirectory EXIF_TAG_GPSINFO

  - ### EXIF_TAG_ISO

    public static final TagInfoShorts EXIF_TAG_ISO

  - ### EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR

    public static final TagInfoUndefineds EXIF_TAG_OPTO_ELECTRIC_CONV_FACTOR

  - ### EXIF_TAG_LEAF_SUB_IFD

    public static final TagInfoLong EXIF_TAG_LEAF_SUB_IFD

  - ### EXIF_TAG_EXIF_VERSION

    public static final TagInfoUndefineds EXIF_TAG_EXIF_VERSION

  - ### EXIF_TAG_DATE_TIME_ORIGINAL

    public static final TagInfoAscii EXIF_TAG_DATE_TIME_ORIGINAL

  - ### EXIF_TAG_DATE_TIME_DIGITIZED

    public static final TagInfoAscii EXIF_TAG_DATE_TIME_DIGITIZED

  - ### EXIF_TAG_COMPONENTS_CONFIGURATION

    public static final TagInfoUndefineds EXIF_TAG_COMPONENTS_CONFIGURATION

  - ### EXIF_TAG_COMPRESSED_BITS_PER_PIXEL

    public static final TagInfoRational EXIF_TAG_COMPRESSED_BITS_PER_PIXEL

  - ### EXIF_TAG_SHUTTER_SPEED_VALUE

    public static final TagInfoSRational EXIF_TAG_SHUTTER_SPEED_VALUE

  - ### EXIF_TAG_APERTURE_VALUE

    public static final TagInfoRational EXIF_TAG_APERTURE_VALUE

  - ### EXIF_TAG_BRIGHTNESS_VALUE

    public static final TagInfoSRational EXIF_TAG_BRIGHTNESS_VALUE

  - ### EXIF_TAG_EXPOSURE_COMPENSATION

    public static final TagInfoSRational EXIF_TAG_EXPOSURE_COMPENSATION

  - ### EXIF_TAG_MAX_APERTURE_VALUE

    public static final TagInfoRational EXIF_TAG_MAX_APERTURE_VALUE

  - ### EXIF_TAG_SUBJECT_DISTANCE

    public static final TagInfoRationals EXIF_TAG_SUBJECT_DISTANCE

  - ### EXIF_TAG_METERING_MODE

    public static final TagInfoShort EXIF_TAG_METERING_MODE

  - ### METERING_MODE_VALUE_AVERAGE

    public static final int METERING_MODE_VALUE_AVERAGE
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE

    public static final int METERING_MODE_VALUE_CENTER_WEIGHTED_AVERAGE
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_SPOT

    public static final int METERING_MODE_VALUE_SPOT
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_MULTI_SPOT

    public static final int METERING_MODE_VALUE_MULTI_SPOT
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_MULTI_SEGMENT

    public static final int METERING_MODE_VALUE_MULTI_SEGMENT
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_PARTIAL

    public static final int METERING_MODE_VALUE_PARTIAL
    See Also:
      - Constant Field Values

  - ### METERING_MODE_VALUE_OTHER

    public static final int METERING_MODE_VALUE_OTHER
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_LIGHT_SOURCE

    public static final TagInfoShort EXIF_TAG_LIGHT_SOURCE

  - ### LIGHT_SOURCE_VALUE_DAYLIGHT

    public static final int LIGHT_SOURCE_VALUE_DAYLIGHT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_FLUORESCENT

    public static final int LIGHT_SOURCE_VALUE_FLUORESCENT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_TUNGSTEN

    public static final int LIGHT_SOURCE_VALUE_TUNGSTEN
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_FLASH

    public static final int LIGHT_SOURCE_VALUE_FLASH
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_FINE_WEATHER

    public static final int LIGHT_SOURCE_VALUE_FINE_WEATHER
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_CLOUDY

    public static final int LIGHT_SOURCE_VALUE_CLOUDY
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_SHADE

    public static final int LIGHT_SOURCE_VALUE_SHADE
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT

    public static final int LIGHT_SOURCE_VALUE_DAYLIGHT_FLUORESCENT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT

    public static final int LIGHT_SOURCE_VALUE_DAY_WHITE_FLUORESCENT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT

    public static final int LIGHT_SOURCE_VALUE_COOL_WHITE_FLUORESCENT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT

    public static final int LIGHT_SOURCE_VALUE_WHITE_FLUORESCENT
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A

    public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_A
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B

    public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_B
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C

    public static final int LIGHT_SOURCE_VALUE_STANDARD_LIGHT_C
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_D55

    public static final int LIGHT_SOURCE_VALUE_D55
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_D65

    public static final int LIGHT_SOURCE_VALUE_D65
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_D75

    public static final int LIGHT_SOURCE_VALUE_D75
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_D50

    public static final int LIGHT_SOURCE_VALUE_D50
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN

    public static final int LIGHT_SOURCE_VALUE_ISO_STUDIO_TUNGSTEN
    See Also:
      - Constant Field Values

  - ### LIGHT_SOURCE_VALUE_OTHER

    public static final int LIGHT_SOURCE_VALUE_OTHER
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_FLASH

    public static final TagInfoShort EXIF_TAG_FLASH

  - ### FLASH_VALUE_NO_FLASH

    public static final int FLASH_VALUE_NO_FLASH
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED

    public static final int FLASH_VALUE_FIRED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_FIRED_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED_RETURN_DETECTED

    public static final int FLASH_VALUE_FIRED_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_DID_NOT_FIRE

    public static final int FLASH_VALUE_ON_DID_NOT_FIRE
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON

    public static final int FLASH_VALUE_ON
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_ON_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_RETURN_DETECTED

    public static final int FLASH_VALUE_ON_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_OFF

    public static final int FLASH_VALUE_OFF
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_OFF_DID_NOT_FIRE_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_DID_NOT_FIRE

    public static final int FLASH_VALUE_AUTO_DID_NOT_FIRE
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED

    public static final int FLASH_VALUE_AUTO_FIRED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_AUTO_FIRED_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED

    public static final int FLASH_VALUE_AUTO_FIRED_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_NO_FLASH_FUNCTION

    public static final int FLASH_VALUE_NO_FLASH_FUNCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_OFF_NO_FLASH_FUNCTION

    public static final int FLASH_VALUE_OFF_NO_FLASH_FUNCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED_RED_EYE_REDUCTION

    public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

    public static final int FLASH_VALUE_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_RED_EYE_REDUCTION

    public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED

    public static final int FLASH_VALUE_ON_RED_EYE_REDUCTION_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_OFF_RED_EYE_REDUCTION

    public static final int FLASH_VALUE_OFF_RED_EYE_REDUCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION

    public static final int FLASH_VALUE_AUTO_DID_NOT_FIRE_RED_EYE_REDUCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION

    public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED

    public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_NOT_DETECTED
    See Also:
      - Constant Field Values

  - ### FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED

    public static final int FLASH_VALUE_AUTO_FIRED_RED_EYE_REDUCTION_RETURN_DETECTED
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_FOCAL_LENGTH

    public static final TagInfoRationals EXIF_TAG_FOCAL_LENGTH

  - ### EXIF_TAG_SUBJECT_AREA

    public static final TagInfoShorts EXIF_TAG_SUBJECT_AREA

  - ### EXIF_TAG_STO_NITS

    public static final TagInfoDouble EXIF_TAG_STO_NITS

  - ### EXIF_TAG_MAKER_NOTE

    public static final TagInfoUndefineds EXIF_TAG_MAKER_NOTE

  - ### EXIF_TAG_USER_COMMENT

    public static final TagInfoGpsText EXIF_TAG_USER_COMMENT

  - ### EXIF_TAG_SUB_SEC_TIME

    public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME

  - ### EXIF_TAG_SUB_SEC_TIME_ORIGINAL

    public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME_ORIGINAL

  - ### EXIF_TAG_SUB_SEC_TIME_DIGITIZED

    public static final TagInfoAscii EXIF_TAG_SUB_SEC_TIME_DIGITIZED

  - ### EXIF_TAG_FLASHPIX_VERSION

    public static final TagInfoUndefineds EXIF_TAG_FLASHPIX_VERSION

  - ### EXIF_TAG_EXIF_IMAGE_WIDTH

    public static final TagInfoShort EXIF_TAG_EXIF_IMAGE_WIDTH

  - ### EXIF_TAG_EXIF_IMAGE_LENGTH

    public static final TagInfoShort EXIF_TAG_EXIF_IMAGE_LENGTH

  - ### EXIF_TAG_RELATED_SOUND_FILE

    public static final TagInfoAscii EXIF_TAG_RELATED_SOUND_FILE

  - ### EXIF_TAG_INTEROP_OFFSET

    public static final TagInfoDirectory EXIF_TAG_INTEROP_OFFSET

  - ### EXIF_TAG_FLASH_ENERGY_EXIF_IFD

    public static final TagInfoRationals EXIF_TAG_FLASH_ENERGY_EXIF_IFD

  - ### EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2

    public static final TagInfoUndefineds EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_2

  - ### EXIF_TAG_NOISE_2

    public static final TagInfoUnknowns EXIF_TAG_NOISE_2

  - ### EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD

    public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_XRESOLUTION_EXIF_IFD

  - ### EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD

    public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_YRESOLUTION_EXIF_IFD

  - ### EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD

    public static final TagInfoShort EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD

  - ### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE

    public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_NONE
    See Also:
      - Constant Field Values

  - ### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES

    public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_INCHES
    See Also:
      - Constant Field Values

  - ### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM

    public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_CM
    See Also:
      - Constant Field Values

  - ### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM

    public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_MM
    See Also:
      - Constant Field Values

  - ### FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM

    public static final int FOCAL_PLANE_RESOLUTION_UNIT_EXIF_IFD_VALUE_UM
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_IMAGE_NUMBER

    public static final TagInfoUnknowns EXIF_TAG_IMAGE_NUMBER

  - ### EXIF_TAG_SECURITY_CLASSIFICATION

    public static final TagInfoUnknowns EXIF_TAG_SECURITY_CLASSIFICATION

  - ### EXIF_TAG_IMAGE_HISTORY

    public static final TagInfoUnknowns EXIF_TAG_IMAGE_HISTORY

  - ### EXIF_TAG_SUBJECT_LOCATION

    public static final TagInfoShorts EXIF_TAG_SUBJECT_LOCATION

  - ### EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD

    public static final TagInfoRational EXIF_TAG_EXPOSURE_INDEX_EXIF_IFD

  - ### EXIF_TAG_TIFF_EPSTANDARD_ID_2

    public static final TagInfoUnknowns EXIF_TAG_TIFF_EPSTANDARD_ID_2

  - ### EXIF_TAG_SENSING_METHOD_EXIF_IFD

    public static final TagInfoShort EXIF_TAG_SENSING_METHOD_EXIF_IFD

  - ### SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_NOT_DEFINED
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_ONE_CHIP_COLOR_AREA
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_TWO_CHIP_COLOR_AREA
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_THREE_CHIP_COLOR_AREA
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_AREA
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_TRILINEAR
    See Also:
      - Constant Field Values

  - ### SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR

    public static final int SENSING_METHOD_EXIF_IFD_VALUE_COLOR_SEQUENTIAL_LINEAR
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_FILE_SOURCE

    public static final TagInfoUndefined EXIF_TAG_FILE_SOURCE

  - ### FILE_SOURCE_VALUE_FILM_SCANNER

    public static final int FILE_SOURCE_VALUE_FILM_SCANNER
    See Also:
      - Constant Field Values

  - ### FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER

    public static final int FILE_SOURCE_VALUE_REFLECTION_PRINT_SCANNER
    See Also:
      - Constant Field Values

  - ### FILE_SOURCE_VALUE_DIGITAL_CAMERA

    public static final int FILE_SOURCE_VALUE_DIGITAL_CAMERA
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_SCENE_TYPE

    public static final TagInfoUndefined EXIF_TAG_SCENE_TYPE

  - ### EXIF_TAG_CFAPATTERN

    public static final TagInfoUndefineds EXIF_TAG_CFAPATTERN

  - ### EXIF_TAG_CUSTOM_RENDERED

    public static final TagInfoShort EXIF_TAG_CUSTOM_RENDERED

  - ### CUSTOM_RENDERED_VALUE_NORMAL

    public static final int CUSTOM_RENDERED_VALUE_NORMAL
    See Also:
      - Constant Field Values

  - ### CUSTOM_RENDERED_VALUE_CUSTOM

    public static final int CUSTOM_RENDERED_VALUE_CUSTOM
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_EXPOSURE_MODE

    public static final TagInfoShort EXIF_TAG_EXPOSURE_MODE

  - ### EXPOSURE_MODE_VALUE_AUTO

    public static final int EXPOSURE_MODE_VALUE_AUTO
    See Also:
      - Constant Field Values

  - ### EXPOSURE_MODE_VALUE_MANUAL

    public static final int EXPOSURE_MODE_VALUE_MANUAL
    See Also:
      - Constant Field Values

  - ### EXPOSURE_MODE_VALUE_AUTO_BRACKET

    public static final int EXPOSURE_MODE_VALUE_AUTO_BRACKET
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_WHITE_BALANCE_1

    public static final TagInfoShort EXIF_TAG_WHITE_BALANCE_1

  - ### WHITE_BALANCE_1_VALUE_AUTO

    public static final int WHITE_BALANCE_1_VALUE_AUTO
    See Also:
      - Constant Field Values

  - ### WHITE_BALANCE_1_VALUE_MANUAL

    public static final int WHITE_BALANCE_1_VALUE_MANUAL
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_DIGITAL_ZOOM_RATIO

    public static final TagInfoRational EXIF_TAG_DIGITAL_ZOOM_RATIO

  - ### EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT

    public static final TagInfoShort EXIF_TAG_FOCAL_LENGTH_IN_35MM_FORMAT

  - ### EXIF_TAG_SCENE_CAPTURE_TYPE

    public static final TagInfoShort EXIF_TAG_SCENE_CAPTURE_TYPE

  - ### SCENE_CAPTURE_TYPE_VALUE_STANDARD

    public static final int SCENE_CAPTURE_TYPE_VALUE_STANDARD
    See Also:
      - Constant Field Values

  - ### SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE

    public static final int SCENE_CAPTURE_TYPE_VALUE_LANDSCAPE
    See Also:
      - Constant Field Values

  - ### SCENE_CAPTURE_TYPE_VALUE_PORTRAIT

    public static final int SCENE_CAPTURE_TYPE_VALUE_PORTRAIT
    See Also:
      - Constant Field Values

  - ### SCENE_CAPTURE_TYPE_VALUE_NIGHT

    public static final int SCENE_CAPTURE_TYPE_VALUE_NIGHT
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_GAIN_CONTROL

    public static final TagInfoShort EXIF_TAG_GAIN_CONTROL

  - ### GAIN_CONTROL_VALUE_NONE

    public static final int GAIN_CONTROL_VALUE_NONE
    See Also:
      - Constant Field Values

  - ### GAIN_CONTROL_VALUE_LOW_GAIN_UP

    public static final int GAIN_CONTROL_VALUE_LOW_GAIN_UP
    See Also:
      - Constant Field Values

  - ### GAIN_CONTROL_VALUE_HIGH_GAIN_UP

    public static final int GAIN_CONTROL_VALUE_HIGH_GAIN_UP
    See Also:
      - Constant Field Values

  - ### GAIN_CONTROL_VALUE_LOW_GAIN_DOWN

    public static final int GAIN_CONTROL_VALUE_LOW_GAIN_DOWN
    See Also:
      - Constant Field Values

  - ### GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN

    public static final int GAIN_CONTROL_VALUE_HIGH_GAIN_DOWN
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_CONTRAST_1

    public static final TagInfoShort EXIF_TAG_CONTRAST_1

  - ### CONTRAST_1_VALUE_NORMAL

    public static final int CONTRAST_1_VALUE_NORMAL
    See Also:
      - Constant Field Values

  - ### CONTRAST_1_VALUE_LOW

    public static final int CONTRAST_1_VALUE_LOW
    See Also:
      - Constant Field Values

  - ### CONTRAST_1_VALUE_HIGH

    public static final int CONTRAST_1_VALUE_HIGH
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_SATURATION_1

    public static final TagInfoShort EXIF_TAG_SATURATION_1

  - ### SATURATION_1_VALUE_NORMAL

    public static final int SATURATION_1_VALUE_NORMAL
    See Also:
      - Constant Field Values

  - ### SATURATION_1_VALUE_LOW

    public static final int SATURATION_1_VALUE_LOW
    See Also:
      - Constant Field Values

  - ### SATURATION_1_VALUE_HIGH

    public static final int SATURATION_1_VALUE_HIGH
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_SHARPNESS_1

    public static final TagInfoShort EXIF_TAG_SHARPNESS_1

  - ### SHARPNESS_1_VALUE_NORMAL

    public static final int SHARPNESS_1_VALUE_NORMAL
    See Also:
      - Constant Field Values

  - ### SHARPNESS_1_VALUE_SOFT

    public static final int SHARPNESS_1_VALUE_SOFT
    See Also:
      - Constant Field Values

  - ### SHARPNESS_1_VALUE_HARD

    public static final int SHARPNESS_1_VALUE_HARD
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_DEVICE_SETTING_DESCRIPTION

    public static final TagInfoUndefineds EXIF_TAG_DEVICE_SETTING_DESCRIPTION

  - ### EXIF_TAG_SUBJECT_DISTANCE_RANGE

    public static final TagInfoShort EXIF_TAG_SUBJECT_DISTANCE_RANGE

  - ### SUBJECT_DISTANCE_RANGE_VALUE_MACRO

    public static final int SUBJECT_DISTANCE_RANGE_VALUE_MACRO
    See Also:
      - Constant Field Values

  - ### SUBJECT_DISTANCE_RANGE_VALUE_CLOSE

    public static final int SUBJECT_DISTANCE_RANGE_VALUE_CLOSE
    See Also:
      - Constant Field Values

  - ### SUBJECT_DISTANCE_RANGE_VALUE_DISTANT

    public static final int SUBJECT_DISTANCE_RANGE_VALUE_DISTANT
    See Also:
      - Constant Field Values

  - ### EXIF_TAG_IMAGE_UNIQUE_ID

    public static final TagInfoAscii EXIF_TAG_IMAGE_UNIQUE_ID

  - ### EXIF_TAG_CAMERA_OWNER_NAME

    public static final TagInfoAscii EXIF_TAG_CAMERA_OWNER_NAME

  - ### EXIF_TAG_BODY_SERIAL_NUMBER

    public static final TagInfoAscii EXIF_TAG_BODY_SERIAL_NUMBER

  - ### EXIF_TAG_LENS_SPECIFICATION

    public static final TagInfoRationals EXIF_TAG_LENS_SPECIFICATION

  - ### EXIF_TAG_LENS_MAKE

    public static final TagInfoAscii EXIF_TAG_LENS_MAKE

  - ### EXIF_TAG_LENS_MODEL

    public static final TagInfoAscii EXIF_TAG_LENS_MODEL

  - ### EXIF_TAG_LENS_SERIAL_NUMBER

    public static final TagInfoAscii EXIF_TAG_LENS_SERIAL_NUMBER

  - ### EXIF_TAG_GAMMA

    public static final TagInfoRational EXIF_TAG_GAMMA

  - ### EXIF_TAG_ANNOTATIONS

    public static final TagInfoUnknowns EXIF_TAG_ANNOTATIONS

  - ### EXIF_TAG_PRINT_IM

    public static final TagInfoUndefined EXIF_TAG_PRINT_IM

  - ### EXIF_TAG_OFFSET_SCHEMA

    public static final TagInfoSLong EXIF_TAG_OFFSET_SCHEMA

  - ### EXIF_TAG_OWNER_NAME

    public static final TagInfoAscii EXIF_TAG_OWNER_NAME

  - ### EXIF_TAG_SERIAL_NUMBER

    public static final TagInfoAscii EXIF_TAG_SERIAL_NUMBER

  - ### EXIF_TAG_LENS

    public static final TagInfoAscii EXIF_TAG_LENS

  - ### EXIF_TAG_RAW_FILE

    public static final TagInfoAscii EXIF_TAG_RAW_FILE

  - ### EXIF_TAG_CONVERTER

    public static final TagInfoAscii EXIF_TAG_CONVERTER

  - ### EXIF_TAG_WHITE_BALANCE_2

    public static final TagInfoAscii EXIF_TAG_WHITE_BALANCE_2

  - ### EXIF_TAG_EXPOSURE

    public static final TagInfoAscii EXIF_TAG_EXPOSURE

  - ### EXIF_TAG_SHADOWS

    public static final TagInfoAscii EXIF_TAG_SHADOWS

  - ### EXIF_TAG_BRIGHTNESS

    public static final TagInfoAscii EXIF_TAG_BRIGHTNESS

  - ### EXIF_TAG_CONTRAST_2

    public static final TagInfoAscii EXIF_TAG_CONTRAST_2

  - ### EXIF_TAG_SATURATION_2

    public static final TagInfoAscii EXIF_TAG_SATURATION_2

  - ### EXIF_TAG_SHARPNESS_2

    public static final TagInfoAscii EXIF_TAG_SHARPNESS_2

  - ### EXIF_TAG_SMOOTHNESS

    public static final TagInfoAscii EXIF_TAG_SMOOTHNESS

  - ### EXIF_TAG_MOIRE_FILTER

    public static final TagInfoAscii EXIF_TAG_MOIRE_FILTER

  - ### ALL_EXIF_TAGS

    public static final List<TagInfo> ALL_EXIF_TAGS